=== lldb/unittests/Core/CMakeLists.txt ===

add_lldb_unittest(LLDBCoreTests
  DebuggerTest.cpp
  CommunicationTest.cpp
  DiagnosticEventTest.cpp
  DumpDataExtractorTest.cpp
  DumpRegisterInfoTest.cpp
  FormatEntityTest.cpp
  MangledTest.cpp
  ModuleSpecTest.cpp
  PluginManagerTest.cpp
  ProgressReportTest.cpp
  RichManglingContextTest.cpp
  SourceLocationSpecTest.cpp
  SourceManagerTest.cpp
  TelemetryTest.cpp
  UniqueCStringMapTest.cpp

  LINK_COMPONENTS
    Support
    Telemetry
  LINK_LIBS
    lldbCore
    lldbHost
    lldbPluginCPlusPlusLanguage
    lldbPluginObjectFileELF
    lldbPluginObjectFileMachO
    lldbPluginObjectFilePECOFF
    lldbPluginPlatformMacOSX
    lldbPluginSymbolFileSymtab
    lldbSymbol
    lldbUtilityHelpers
    lldbHostHelpers
    LLVMTestingSupport
  )
