=== debian/changelog ===
llvm-toolchain-21 (1:21.1.5-0ubuntu5) resolute; urgency=medium

  * Fix typo in last upload.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 11 Nov 2025 04:49:29 +0100

llvm-toolchain-21 (1:21.1.5-0ubuntu4) resolute; urgency=medium

  * d/rules: Strip more hardening flags from FFLAGS.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 10 Nov 2025 19:30:37 +0100

llvm-toolchain-21 (1:21.1.5-0ubuntu3) resolute; urgency=medium

  * d/rules: Strip hardening flags from FFLAGS.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 10 Nov 2025 06:44:19 +0100

llvm-toolchain-21 (1:21.1.5-0ubuntu2) resolute; urgency=medium

  * Merge with Debian; remaining changes:
    - Regenerate the control file.
    - Use RVA23U64 profile in clang (LP #2116086).
    - Build using the BFD linker on riscv64 for this build.
  * Remove i386 from CLANG_GRPC_ARCHS.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 09 Nov 2025 15:40:36 +0100

llvm-toolchain-21 (1:21.1.5-1) UNRELEASED; urgency=medium

  [ Matthias Klose ]
  * New upstream release
  * d/rules: Mark usage of SLOPPY_BUILD to ease searching in the build log.
  * Update watch file, use with --force-download to fetch the integration
    testsuite.
  * Bump llvm-spirv build dependency to 21 again.
  * Introduce an OMPD_ARCHS macro and use it.
  * Add a llvm.noclang build profile (not enabled by default).
  * Introduce LLVM_SPIRV_ARCHS and CLANG_GRPC_ARCHS macros and use them.
  * Bump standards version.
  * Also use the grpc bits for clang on i386.
  * Don't run the omp autopkg test on i386. Closes: #1118644.
  * d/tests/control.in: Add test dependency on g++-multilib. Closes: #1118643.
  * d/debian-llvm-testsuite.bats: Skip test. Closes: #1118641.
    The test "pthread_cancel with libunwind compatibility" is wrong.
  * d/tests/control.in: Add test dependency on binutils-gold. Closes: #1118646.
  * Build and install libflang_rt.runtime. Closes: #1117534.
    FIXME: Some hardening flags not understood by flang are globally disabled.
  * Add the alternate hello b-d for grpc related build dependencies.
  * Add profile to ocaml build dependencies.
  * Re(?)-enable omp on i386.
  * d/control: Only use one build profile per binary package for now. The ORing
    of build profiles seems to be not working.
  * Rename build profiles from llvm.* to pkg.llvm.*.

  [ Sylvestre Ledru ]
  * Rename 160581.diff to flang-runtime.diff
  * Remove duplicae coverity declaration
  * Remove duplicate buster in SPIRV_DISABLE_DISTRO
  * RUNTIMES = compiler-rt;libcxx;libcxxabi is set identically in both branches
    of a conditional -
  * Rename ign_fail => ignore_if_fail
  * create a macro check_pkg_version to simplify the code
  * Remove a 19 artifact
  * Use a macro to dedup remove_rpath code
  * Fix typo in control
  * Rename ign_fail => ignore_if_fail
  * README: remove the svn doc
  * Missing Shebang in unpack.sh
  * Remove dup declarations in llvm-X.Y
    obj2yaml, yaml2obj, verify-uselistorder & sanstats

 -- Sylvestre Ledru <sylvestre@debian.org>  Sat, 08 Nov 2025 22:35:19 +0100

llvm-toolchain-21 (1:21.1.4-8ubuntu1) resolute; urgency=medium

  * Merge with Debian; remaining changes:
    - Regenerate the control file.
    - Use RVA23U64 profile in clang (LP #2116086).
    - Bump llvm-spirv dep to 21
  * Don't add riscv64 to OMP_ARCHS. Even when configured, the library
    is not built.
  * Build using the BFD linker on riscv64 for this build.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 05 Nov 2025 12:51:55 +0100

llvm-toolchain-21 (1:21.1.4-8) unstable; urgency=medium

  * d/rules: Move OMP_ARCHS and LIBUNWIND_ARCHS macro usage after definition.
  * ompd is not available on armhf.
  * d/rules: Also turn on SLOPPY_BUILD for amd64.

 -- Matthias Klose <doko@debian.org>  Wed, 05 Nov 2025 12:41:59 +0100

llvm-toolchain-21 (1:21.1.4-7) unstable; urgency=medium

  * Add support to disable the OCAML build for specific releases.
  * Set explicit architecture list for libfuzzer-dev.
  * d/rules: New macro SLOPPY_BUILD to avoid build failures caused by
    additional build artifacts or missing symbols.  Better to collect
    that information in build logs and apply it in follow-up uploads.
    Turn it on for architectures other than amd64 and arm64 for now.
  * Make the library packages libc++1, libc++abi1, libomp5 and llvm-libunwind1
    M-A: same, moving the real files to /usr/lib/<multiarch>.  Provide the
    symlinks in /usr/lib/llvm-X.Y/lib in the correspinding -dev packages.
    Addresses: #1116212.
  * Revert parts of the SKIP_COMMON_PACKAGES changes, the move of the files
    to another package and the breaks/replaces are not needed anymore.
  * Update libomp5 symbols for ppc64 and ppc64el.
  * d/rules: Use POLLY_ARCHS instead of POLLY_NO_ARCHS.
  * Factor out BOLT_ARCHS and HWASAN_ARCHS.
  * When not building the common packages,
    - Remove the files in these packages according to their .install file.
    - Add a build dependency on the libllvm<next version> package.
  * d/rules: Don't remove the intermediate build files. This increases
    the build form 15GB to 35GB, far lower than the 100GB buildd limit.
  * llvm-X.Y-dev: Create a debian_config.mk Makefile snippet to record
    component builds for every architecture.  Used by llvm-defaults to
    avoid hard-coding these again.
  * Reset the libomp5 symbols files, now generated by pkgkde-symbolshelper.
    Let the buildds collect the symbols for the other architectures.
  * Fix build dependencies when not building the common library packages.
  * d/rules: Differentiate between COMMON_PKGS and COMMON_BUILD_DEPS.
  * d/rules: Build again omp on mips64el and ppc64, as done in 19.
  * Install asan_symbolize in clang-tools, same as hwasan_sybolize.
  * Update libc++1 and libc++abi1 symbols files for all architectures.
  * d/rules: Use a d/shlibs.local file when not building the common libraries.
  * Fix installation of the asan_symbolize binary.
  * Rename the python extension ompdModule.so to one with the
    architecture specific extension.

