=== debian/watch ===
version=4
opts=repack,compression=xz, \
  https://github.com/llvm/llvm-project/tags \
  (?:.*?/)?llvmorg-(21[\d\.\-]+).tar.gz

# FIXME: only works when using --force-download
# Newest version of integration-test-suite on remote site is 0.0~git20240518.a962677, local version is 21.1.x
opts=\
component=integration-test-suite,\
mode=git,\
pgpmode=none,\
repack,\
compression=xz \
  https://github.com/opencollab/llvm-toolchain-integration-test-suite \
  HEAD
